package com.mdd.admin.vo.marketing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("营销充值Vo")
public class MarketingRechargeVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("是否开启充值: 0=否,1=是")
   private Integer openRecharge;
   @ApiModelProperty("最低充值金额")
   private BigDecimal minRechargeMoney;

   public Integer getOpenRecharge() {
      return this.openRecharge;
   }

   public BigDecimal getMinRechargeMoney() {
      return this.minRechargeMoney;
   }

   public void setOpenRecharge(Integer openRecharge) {
      this.openRecharge = openRecharge;
   }

   public void setMinRechargeMoney(BigDecimal minRechargeMoney) {
      this.minRechargeMoney = minRechargeMoney;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof MarketingRechargeVo)) {
         return false;
      } else {
         MarketingRechargeVo other = (MarketingRechargeVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$openRecharge = this.getOpenRecharge();
            Object other$openRecharge = other.getOpenRecharge();
            if (this$openRecharge == null) {
               if (other$openRecharge != null) {
                  return false;
               }
            } else if (!this$openRecharge.equals(other$openRecharge)) {
               return false;
            }

            Object this$minRechargeMoney = this.getMinRechargeMoney();
            Object other$minRechargeMoney = other.getMinRechargeMoney();
            if (this$minRechargeMoney == null) {
               if (other$minRechargeMoney != null) {
                  return false;
               }
            } else if (!this$minRechargeMoney.equals(other$minRechargeMoney)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof MarketingRechargeVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $openRecharge = this.getOpenRecharge();
      result = result * 59 + ($openRecharge == null ? 43 : $openRecharge.hashCode());
      Object $minRechargeMoney = this.getMinRechargeMoney();
      result = result * 59 + ($minRechargeMoney == null ? 43 : $minRechargeMoney.hashCode());
      return result;
   }

   public String toString() {
      return "MarketingRechargeVo(openRecharge=" + this.getOpenRecharge() + ", minRechargeMoney=" + this.getMinRechargeMoney() + ")";
   }
}
